package com.chinaweal.aiccs.aiccs.revoke.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.chinaweal.aiccs.aiccs.business.entity.dto.TaskListUnionDto;
import com.chinaweal.aiccs.aiccs.revoke.entity.Tsrevtasklist;
import com.chinaweal.aiccs.aiccs.revoke.entity.dto.RevBusDto;

import java.util.List;
import java.util.Map;

public interface RevBusQueryMapper extends BaseMapper<RevBusDto> {
    IPage<RevBusDto> searchRevBus(IPage<RevBusDto> page, String s);


    int countOther(String id);

    IPage<RevBusDto> searchByCondition(IPage<RevBusDto> page, Map<String, Object> customParamMap);

    List<RevBusDto> searchByConditionAll(Map<String, Object> customParamMap);
}
